<?php

use Illuminate\Routing\Router;
use Illuminate\Support\Facades\Route;
use Dcat\Admin\Admin;

Admin::routes();

Route::group([
    'prefix'     => config('admin.route.prefix'),
    'namespace'  => config('admin.route.namespace'),
    'middleware' => config('admin.route.middleware'),
], function (Router $router) {

    $router->get('/', 'HomeController@index');
    $router->resource('/student', 'StudentController');//学生管理
    $router->resource('/babysitting', 'BabysittingController');//观察日志
    $router->resource('/daily_care_report', 'DailyCareReportController');//照护日志
    $router->resource('/assessment_report', 'AssessmentReportController');//评估报告
    $router->resource('/teach_plan', 'TeachPlanController');//教学计划
    $router->resource('/teach_activity', 'TeachActivityController');//教学活动
    $router->resource('/notice', 'NoticeController');//通知管理

    $router->resource('/accidents', 'AccidentController');//意外情况通知
    
});
